<?php
// $Id: layout_regular.inc,v 1.2 2006/03/10 09:09:16 romca Exp $

$description = 'regular';

function theme_ejournal_page($output) {
  //drupal_set_html_head(ejournal_html_head());
  return theme('page', $output);
}

function theme_ejournal_list_this_issue(&$journal, $iid, $print=FALSE) {  
  
  $order = variable_get('ejournal_issue_order', 'DESC');
  $issue = ejournal_issue_get($iid);            
  
  $result = _ejournal_issue_get_articles($journal, $iid);    
  
  if($print) {  // we will print contents of the whole issue (should we allow it?)
    print "<html><head>";
    print drupal_get_html_head();
    print "</head><body>";
    while($article = db_fetch_object($result)) {
      print node_view(node_load(array('nid' => $article->nid)));
      print "\n<hr/>";
    }
    print "\n</body></html>";
    return;
  }
  
  while($article = db_fetch_object($result)) {
    if($article->name != $old_section) {
      $output .= theme('ejournal_section', $article->name);
      $old_section = $article->name;
    }
    $output .= "<div class=\"author\">". _ejournal_article_get_author_names($journal, $article->nid)."</div>";
    $output .= theme('ejournal_article_reference', &$article) . "<br/>";            
  }
  
  drupal_set_title(t('Journal %title %issue', array('%title' => $journal->title, '%issue' => ejournal_issue_reference($issue, $journal))));
  print theme('ejournal_page', "<div class=\"ejournal\">$output</div>", $journal);
}

function theme_ejournal_archive(&$journal, $issues = NULL) {

  if(!$issues) {  // if no issues, we will display whole archive
    $issues = _ejournal_journal_get_issues($journal);
    $full_archive = 1;
  }
  $output = "<div class=\"archive\">\n";
  
  $output .= "<div>\n";
  while($issue = db_fetch_object($issues)) {
    if($issue->volume != $old_volume) {
      $output .= "</div><div class=\"year\">\n";
      $output .= $full_archive 
      ? theme('ejournal_volume_reference', $issue, $journal->jid) 
      : theme('ejournal_volume_reference', $issue); 
      $old_volume = $issue->volume;
    }
    $output .= "<div class=\"issue\">";
    $output .= $issue->number 
    ? l(t('No. ') . $issue->number, "ejournal/$issue->jid/$issue->iid") . '<br/>' .
    ($issue->description ? $issue->description : (t(format_date($issue->date_published, 'custom',
    'F')) . ' ' . format_date($issue->date_published, 'custom', 'Y')))
    : l( $issue->custom , "ejournal/$issue->jid/$issue->iid");
    $output .= "<br/>[ " . format_date($issue->date_published, 'custom', 'd. m. Y') . " ]"; 

    $output .= "</div>\n";
    
    //$output .= theme('ejournal_issue_reference', $issue, FALSE);
    
    if(!$full_archive) {
      $output .= "<div class=\"articles\">\n";
      $articles = _ejournal_issue_get_articles($journal, $issue->iid);
      while($article = db_fetch_object($articles)) {
	$output .= l($article->title, "node/$article->nid") . "<br/>";
      }
      $output .= "</div>\n";
    }
  }
  $output .= "</div>";
  
  if($full_archive) {
    $output .= "<div class=\"section-form\"><h3>" . t('Display articles from section') . "</h3>\n";      
    $form .= form_select(t('Section'), 'tid', NULL , ejournal_sections_get($journal->jid, NULL));
    $form .= form_hidden('jid', $journal->jid);
    $form .= form_submit(t('Submit'));
    $output .= form($form, 'post', "ejournal/$journal->jid/term");
    $output .= "</div>";
  }
  $output .= "</div>";
  drupal_set_title(t('%journal archive', array('%journal' => $journal->title)));
  print theme('ejournal_page', $output);
}

?>